ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: [1/8] make it compile under Java5 (1.5.0_22-b03)
Date Thu, 10 Jul 2014 07:36:44 GMT
On 2014-07-09, Antoine Levy Lambert wrote:

> I was wondering why you are interested into make it compile under Java5 (1.5.0_22-b03)
?

I think it is very reasonable to make things compile on the versions we
claim to support :-)

> It looks like this particular Java version is very demanding
> concerning the presence of the final keyword next to method parameters
> or maybe also for variables which are in the scope of nested classes.

Not at all.  The commit has introduced quite a few changes that are not
related to Java5 AFAICT.  Might by Jan's IDE settings.  It added TABs to
some files, introduced final where possible (but not required) and even
introduced a bug in <tar> that fortunately was found by the CIs - but
lost in the noise of other test failures.

Reviewing those last few commits is on my TODO list, hope to get around
to it on the weekend.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message